
Katello - Bug #6515

404 Bad request in production.log: On clicking "Perform" button when no package name was

specified

07/07/2014 03:19 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1107604 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1107604

Description of problem:

I was trying to install package on selected content-host. But found that the "Perform" button was active/enabled even no package

name was specified in text box.

Also, If I click on "Perform" button without specifying package name, nothing happens on UI, but production.log filled up with a long

execption:

Processing by Katello::Api::V2::SystemPackagesController#install as JSON

Parameters: {"uuid"=>"67a61af0-2cc9-48cf-96ad-68852b0d5875", "packages"=>[""], "api_version"=>"v2",

"system_id"=>"67a61af0-2cc9-48cf-96ad-68852b0d5875",

"system_package"=>{"uuid"=>"67a61af0-2cc9-48cf-96ad-68852b0d5875", "packages"=>[""]}}

Katello::HttpErrors::BadRequest:  is not a valid package name

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/system_packages_controller.rb:92:in `block in

validate_package_list_format'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/system_packages_controller.rb:90:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/system_packages_controller.rb:90:in

`validate_package_list_format'

Version-Release number of selected component (if applicable):

sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0)

How reproducible:

always

Steps to Reproduce:

1. go to content-host --> select registered system --> Packages --> select package actions --> Perform

2.

3.

Actual results:

Also, If I click on "Perform" button without specifying package name, nothing happens on UI, but production.log filled up with a long

execption:

Expected results:

Perform button needs to be disabled, when no package/group name is defined

Additional info:

Associated revisions

Revision dc49a24c - 07/07/2014 03:33 PM - Brad Buckingham

fixes #6515 / BZ 1107604 - content host package action: disable Perform on empty input

On "Hosts -> Content Hosts -> [somehost] -> Packages", disable the
"Perform" button, unless the user has provided content in the text

input.

Revision 6a256ca5 - 07/07/2014 03:33 PM - Brad Buckingham

fixes #6515 / BZ 1107604 - content host package action: disable Perform on empty input

On "Hosts -> Content Hosts -> [somehost] -> Packages", disable the

"Perform" button, unless the user has provided content in the text

input.

Revision 27a16fa7 - 07/08/2014 06:24 AM - Brad Buckingham

Merge pull request #4398 from bbuckingham/issue-6515

fixes #6515 / BZ 1107604 - content host package action: disable Perform on empty input.

Revision c92039ec - 07/08/2014 06:24 AM - Brad Buckingham

Merge pull request #4398 from bbuckingham/issue-6515

fixes #6515 / BZ 1107604 - content host package action: disable Perform on empty input.

History

#1 - 07/07/2014 03:20 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/08/2014 07:03 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|dc49a24c4be4821221ed5a16f8124653da9375d6.

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
